Bug 860244 - reIPL device is not set to reboot installed system from disk
Summary: reIPL device is not set to reboot installed system from disk
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: s390x
OS: Linux
high
high
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2012-09-25 11:33 UTC by Jan Stodola
Modified: 2013-01-10 02:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 863170 (view as bug list)
Environment:
Last Closed: 2012-10-16 14:04:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Stodola 2012-09-25 11:33:01 UTC
Description of problem:
When the installation on s390x is finished and guest should reboot to installed system, new installation starts after reboot. Checking setting in /sys showed that guest is configured to reipl from device 0.0.000c (virtual reader) instead of DASD/FCP disk:

[anaconda root@rtt7 ~]# cat /sys/firmware/reipl/reipl_type
ccw
[anaconda root@rtt7 ~]# cat /sys/firmware/reipl/ccw/device 
0.0.000c

Version-Release number of selected component (if applicable):
anaconda 18.8 + workarounds from http://fedoraproject.org/wiki/Architectures/s390x/18#issues_found_in_F-18_Alpha_20120917

How reproducible:
always

Steps to Reproduce:
1. modify boot command line, append "updates=http://dlehman.fedorapeople.org/updates/updates-857940.1.img" (bug 857940)
2. start the installation from 3270 console
3. login via ssh as root and run "rm /tmp/updates" (bug 859984)
4. login via ssh as "install" user and finish the installation
5. reboot at the end of the install
  
Actual results:
reboot back to installation, reIPL device is not set correctly

Expected results:
guest reboots to installed system

Comment 5 IBM Bug Proxy 2012-10-05 16:50:44 UTC
After the installation is complete and reboot happens the installer restarts again, this is unlike earlier releases like RHEL, where the reboot starts the installed instance. Noticed on zVM guest.
Already reported by:
https://bugzilla.redhat.com/show_bug.cgi?format=multiple&id=860244

Comment 6 Jesse Keating 2012-10-11 02:31:51 UTC
The UI rewrite lost the reipl step.  I'm working with the other devs to find an appropriate place to wire this back up.

Comment 7 Fedora Update System 2012-10-12 01:06:26 UTC
anaconda-18.16-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.16-1.fc18

Comment 8 Fedora Update System 2012-10-12 17:55:53 UTC
Package anaconda-18.16-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.16-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16018/anaconda-18.16-1.fc18
then log in and leave karma (feedback).

Comment 9 Jan Stodola 2012-10-16 14:04:07 UTC
No longer able to reproduce with anaconda-18.16, reipl device is set correctly (tested installations on DASD and FCP drives), installed system boots fine.

Thanks, closing this bug.

Comment 10 Fedora Update System 2012-10-17 03:09:30 UTC
anaconda-18.17-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.17-1.fc18

Comment 11 Fedora Update System 2012-10-18 02:38:19 UTC
anaconda-18.18-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.18-1.fc18

Comment 12 Fedora Update System 2012-10-20 01:34:06 UTC
anaconda-18.19-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.19-1.fc18


Note You need to log in before you can comment on or make changes to this bug.